{
  name: "Earmuffs",
  spritenum: -622,
  fling: {
    basePower: 30,
  },
  onTryHit(target, source, move) {
    if (target !== source && move.flags["sound"] && move.category === "Status") {
      this.add("-immune", target, "[from] item: Earmuffs");
      return null;
    }
  },
  onAllyTryHitSide(target, source, move) {
    if (move.flags["sound"] && move.category === "Status") {
      this.add("-immune", this.effectState.target, "[from] item: Earmuffs");
    }
  },
  onSourceModifyAtkPriority: 6,
  onSourceModifyAtk(atk, attacker, defender, move) {
    if (move.flags["sound"]) {
      this.debug("Earmuffs weaken");
      return this.chainModify(0.8);
    }
  },
  onSourceModifySpAPriority: 5,
  onSourceModifySpA(atk, attacker, defender, move) {
    if (move.flags["sound"]) {
      this.debug("Earmuffs weaken");
      return this.chainModify(0.8);
    }
  },
  num: -716,
  gen: 9,
}